CREATE FUNCTION "dba"."get_pa_peat_katkest"( in a_lepnr integer, in a_kuup date)
RETURNS INTEGER
BEGIN
  DECLARE li_peatatud INTEGER;
  if exists(select 1 from pa_tgraaf left outer join peatlist on pa_tgraaf.peatnr=peatlist.peatnr where pa_tgraaf.lepnr=a_lepnr and pa_tgraaf.akuup<=a_kuup and pa_tgraaf.lkuup>=a_kuup and peatlist.peattyypnr in (11,12,16,18)) then
    set li_peatatud=1
  end if;
  if li_peatatud is null then
    set li_peatatud=0
  end if;
  RETURN li_peatatud;
END